Bug 402311 - Cannot start X server with ATI Radeon 7200 video card
Cannot start X server with ATI Radeon 7200 video card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 02:29 EST by rondonjin
Modified: 2009-07-14 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current working xorg.conf using vesa driver (586 bytes, text/plain)
2007-11-28 18:54 EST, rondonjin
no flags Details
Xorg.log file with working vesa driver (56.34 KB, text/plain)
2007-11-28 18:54 EST, rondonjin
no flags Details
Xorg.log file trying to use radeon driver (25.66 KB, text/plain)
2007-11-28 18:58 EST, rondonjin
no flags Details
Current Xorg log with mixed drivers from F7 and F8 (42.58 KB, text/plain)
2007-12-08 22:20 EST, rondonjin
no flags Details
The fedora 8 xorg log file (non-working) (24.56 KB, text/plain)
2008-01-30 17:01 EST, Tom Horsley
no flags Details
the debian etch xorg log file (working) (48.86 KB, text/plain)
2008-01-30 17:02 EST, Tom Horsley
no flags Details
Shot of log-in screen with current driver in F8 updates-testing (150.76 KB, image/jpeg)
2008-04-09 03:58 EDT, rondonjin
no flags Details
Xorg log with xorg-x11-drv-ati.i386 0:6.8.0-15.fc9 driver (37.54 KB, text/plain)
2008-05-17 00:46 EDT, rondonjin
no flags Details
working Xorg log file from OpenSUSE 11 (46.58 KB, text/plain)
2008-07-19 22:26 EDT, rondonjin
no flags Details

  None (edit)
Description rondonjin 2007-11-28 02:29:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.9) Gecko/20071103 Firefox/2.0.0.9 (Swiftfox)

Description of problem:
Try to install in GUI mode with ATI Radeon 7200 and installer will drop to text mode install. Installing with vesa driver works fine but trying to switch to radeon driver after install causes screen to flash and drop to command line log-in. Machine works with vesa driver but is slow. Copying over xorg-x11-drv-ati driveer from Fedora 7 install works but is also slow.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.196-1.fc8

How reproducible:
Always


Steps to Reproduce:
1.Boot DVD or LiveCD
2.
3.

Actual Results:
Cannot start X

Expected Results:
GUI installer should start

Additional info:
Comment 1 rondonjin 2007-11-28 02:32:29 EST
Build Date: 17 October 2007
Build ID: xorg-x11-server 1.3.0.0-33.fc8 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Nov  6 10:03:00 2007
(EE) Unable to locate/open config file
(II) Loader magic: 0x820b5c0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.2
	X.Org XInput driver : 0.7
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(--) using VT number 7 
Comment 2 Matěj Cepl 2007-11-28 11:00:48 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 rondonjin 2007-11-28 18:54:06 EST
Created attachment 271981 [details]
Current working xorg.conf using vesa driver
Comment 4 rondonjin 2007-11-28 18:54:50 EST
Created attachment 271991 [details]
Xorg.log file with working vesa driver
Comment 5 rondonjin 2007-11-28 18:58:08 EST
Created attachment 272001 [details]
Xorg.log file trying to use radeon driver

I can attach log files from Fedora 7 where the radeon driver works. In fact
Fedora 8 is the only distro that's failed to work with this card from all that
I've tried (From Fedora Core 5 up to 8, Mandriva 2008, the Buntus and even the
latest Solaris test drive CD!)
Comment 6 rondonjin 2007-12-08 22:20:53 EST
Created attachment 282171 [details]
Current Xorg log with mixed drivers from F7 and F8
Comment 7 rondonjin 2007-12-09 19:38:56 EST
My temporary workaround is to use:

xorg-x11-drv-ati-6.6.3-4.fc7 (Latest in F7 updates)

xorg-x11-server-1.3.0.0-36.fc8 (From F8 updates-testing)
Comment 8 Tom Horsley 2008-01-30 16:59:50 EST
Seems likely this is the same problem I'm having with a 7200 card. I have both
debian etch and fedora 8 installed to alternate boot on the same machine, and
debian has no problem, but fedora persists in thinking it ought to talk to
the VGA connector, not the DVI connector, and simply doesn't find a monitor.

I'll attach the xorg log files from both systems for comparison.
Comment 9 Tom Horsley 2008-01-30 17:01:23 EST
Created attachment 293494 [details]
The fedora 8 xorg log file (non-working)
Comment 10 Tom Horsley 2008-01-30 17:02:06 EST
Created attachment 293495 [details]
the debian etch xorg log file (working)
Comment 11 rondonjin 2008-04-09 03:58:56 EDT
Created attachment 301759 [details]
Shot of log-in screen with current driver in F8 updates-testing

As you can see, I can get a log-in screen with xorg-x11-drv-ati 6.8.0-3.fc8 in
updates-testing... except the colours are messed up. This is supposed to be the
standard F8 blue log-in screen.

Wayne
Comment 12 rondonjin 2008-05-14 21:01:15 EDT
Same bug persists in Fedora 9. Gnome LiveCD just hangs after starting udev and I
get an 'Out Of Range' error dialogue on-screen :(

Hitting ctrl-alt-backspace gets things moving again until it wants to start the
GUI then... same thing.

Comment 13 Tom Horsley 2008-05-16 09:48:01 EDT
For more fun with 7200, you might check the upstream bug (which originated
with an ubuntu install):

https://bugs.freedesktop.org/show_bug.cgi?id=15846

Neither fedora nor ubuntu has been able to work right on my 7200 card, but
they fail in different ways.
Comment 14 rondonjin 2008-05-17 00:37:54 EDT
That link was dead, but I just booted Ubuntu 8.04 and get the same mixed up,
reversed colours as I do with the F8 driver and the F9 driver
(xorg-x11-drv-ati.i386 0:6.8.0-14.fc9)

Right now I'm using Fedora 9 with the Vesa driver. I could pull the card and use
the onboard Intel 815 chipset but it's a toss-up which is worse!

I just downloaded a build of the F9 driver from koji (xorg-x11-drv-ati.i386
0:6.8.0-15.fc9) but that just gives me an 'Out of Range' error on my LCD...

I'll post the log..
Comment 15 rondonjin 2008-05-17 00:45:44 EDT
Sorry, that LCD error with the xorg-x11-drv-ati.i386 0:6.8.0-15.fc9 driver was:

"Input not Supported"

Wayne
Comment 16 rondonjin 2008-05-17 00:46:39 EDT
Created attachment 305784 [details]
Xorg log with xorg-x11-drv-ati.i386 0:6.8.0-15.fc9 driver
Comment 17 rondonjin 2008-06-02 09:46:30 EDT
(In reply to comment #13)
> For more fun with 7200, you might check the upstream bug (which originated
> with an ubuntu install):
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=15846
> 
> Neither fedora nor ubuntu has been able to work right on my 7200 card, but
> they fail in different ways.

Every recent distro LiveCD I've tried exhibits the same problem of messed up
colours, except Mandriva Spring 2008, but we don't want to go there, do we? :)
At first I thought it was a Fedora bug, but it seems to be an xorg bug...

Wayne
Comment 18 rondonjin 2008-07-19 22:26:52 EDT
Created attachment 312215 [details]
working Xorg log file from OpenSUSE 11

I'm attaching a WORKING xorg.log from OpenSUSE 11 for comparison. Maybe the
answer is to ditch Fedora for something that actually works without mucking
around :(
Comment 19 Bug Zapper 2009-06-09 19:14:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 rondonjin 2009-06-09 21:20:48 EDT
May as well close it, I've since purchased a new machine and switched distros....
Comment 21 Bug Zapper 2009-07-14 13:27:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.